@tailwind base;
@tailwind components;
@tailwind utilities;

@layer base {
  body {
    @apply font-black;
  }
}

@layer components {
  .cadre-log {
    @apply bg-cyan-200 m-20 rounded-lg p-3;
  }
  .active-btn {
    @apply bg-cyan-400 hover:bg-cyan-300 rounded-xl m-2 min-w-32 px-4 py-1 text-center;
  }
  .input-log {
    @apply appearance-none border rounded-lg py-2 px-3 w-72;
  }
  .error-log {
    @apply text-red-700 text-sm italic;
  }
  .checkbox {
    @apply h-4 w-4 rounded border-gray-300 text-cyan-400 focus:ring-cyan-400;
  }
  .logo {
    @apply flex flex-col sm:mt-0 sm:flex-row sm:flex-wrap sm:space-x-6 items-center;
  }
  .nav-container {
    @apply lg:flex lg:items-center lg:justify-between mt-1 mb-3 border-b border-gray-100;
  }
  .nav-btn-log {
    @apply inline-flex items-center rounded-xl bg-black mx-3 px-3 py-2 text-sm font-semibold text-white shadow-sm hover:bg-cyan-400;
  }
  .back-blur {
    @apply fixed top-0 right-0 bottom-0 left-0 w-full h-full backdrop-blur-sm;
  }
}
